using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("公告内容")]
    public class T_OP_NOTICE_DETAIL : MesEntityBase
    {
        [Description("公告ID")]      
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Notice", "Nav_NoticeDetails")]
        public Guid NOTICE_ID { get; set; }

        [Description("公告内容")]
        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string TEXT { get; set; }

        [Description("导航属性：公告表")]     
        public virtual T_OP_NOTICE Nav_Notice { get; set; }
    }
}
